Catmandu::Interactive(3pm)

NAME
Catmandu::Interactive - An interactive command line interpreter of the Fix language

SYNOPSIS
   # On the command line
   catmandu run

   # Or, in Perl
   use Catmandu::Interactive;
   use Getopt::Long;

   my $exporter = 'YAML';

   GetOptions("exporter=s" => \$exporter);

   my $app = Catmandu::Interactive->new(exporter => $exporter);

   $app->run();

DESCRIPTION
This module provide a simple interactive interface to the Catmandu Fix language.

CONFIGURATION

in  Read input from an IO::Handle

out Write output to an IO::Handle

silent
    If set true, then no headers or prompts are printed

data
    A hash containing the input record

exporter
    The name of an exporter package

exporter_args
    The options for the exporter

METHODS

  run
Run the interactive environment.

SEE ALSO
Catmandu